SphinxClient::setMaxQueryTime
SphinxClient::setRankingMode
SphinxClient
PHP Manual

# SphinxClient::setOverride

(PECL sphinx >= 1.0.3)

SphinxClient::setOverride — Sets temporary per-document attribute value overrides

### Beschreibung

public bool SphinxClient::setOverride ( string `$attribute` , int `$type` , array `$values` )

Sets temporary (per-query) per-document attribute value overrides. Override feature lets you "temporary" update attribute values for some documents within a single query, leaving all other queries unaffected. This might be useful for personalized data

### Parameter-Liste

`attribute`

  An attribute name.

`type`

  An attribute type. Only supports scalar attributes.

`values`

  Array of attribute values that maps document IDs to overridden attribute values.

### Changelog

PECL/sphinx Version | Beschreibung
--- | ---
1.0.3 | Added SphinxClient::setOverride(), available only if compiled with libsphinxclient >= 0.9.9.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

SphinxClient::setMaxQueryTime
SphinxClient::setRankingMode
SphinxClient
PHP Manual